/*
 * Copyright (C) 1994, Index Data I/S 
 * All rights reserved.
 * Sebastian Hammer, Adam Dickmeiss
 *
 * alexpath.c,v
 * Revision 1.2  1995/09/04  12:34:05  adam
 * Various cleanup. YAZ util used instead.
 *
 * Revision 1.1  1994/08/18  10:02:00  adam
 * Module alexpath moved from res.c to alexpath.c. Minor changes in res-test.c
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <alexutil.h>

const char *alex_path (const char *name)
{
    static char path[256];
    char *alex_prefix;

    if (!(alex_prefix = getenv ("ALEXPREFIX")))
        alex_prefix = "./";
    
    if (*alex_prefix && alex_prefix[strlen(alex_prefix)-1] == '/')
        sprintf (path, "%s%s", alex_prefix, name);
    else
        sprintf (path, "%s/%s", alex_prefix, name);
    return path;
}

